=== debian/changelog ===
pxlib (0.6.8-1) unstable; urgency=low

  * New upstream release (Closes: #918125)
  * Switch to automatic dbgsym packages.                                       
  * Bump standards-version                                                     
  * Use debhelper 11 compat, which uses autoreconf and --parallel by default. 

 -- Uwe Steinmann <steinm@debian.org>  Fri, 22 Nov 2019 08:15:15 +0100

pxlib (0.6.7-1) unstable; urgency=low

  * Set Standards Version to 3.9.8
  * turn on support for gsf again (upstream has fixed checking for gsf)
    (Closes: #821268)
  * New upstream release (Closes: #832288)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 26 Jul 2016 12:34:53 +0200

pxlib (0.6.6-1) unstable; urgency=low

  * Set compat level to 5 (Closes: #817634)
  * Fix various lintian warnings
  * Set Standards Version to 3.97
  * use dpkg-buildflags, don't use dh_clean anymore
  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Tue, 22 Mar 2016 11:08:21 +0100

pxlib (0.6.5-1) unstable; urgency=low

  * New upstream release.
  * Fixed some lintian warnings

 -- Uwe Steinmann <steinm@debian.org>  Tue, 10 Jan 2012 16:09:28 +0100

pxlib (0.6.4-1) unstable; urgency=low

  * New upstream release.
  * PX_timestamp2string() did not calculate the seconds correctly
    due to an long overflow (Closes: #524374)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 27 Apr 2009 08:05:06 +0200

pxlib (0.6.3-1) unstable; urgency=low

  * New upstream release.
  * make watch file work with sourceforge (Closes: #450212)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 27 Nov 2007 10:44:32 +0100

pxlib (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 12 Sep 2007 17:33:43 +0200

pxlib (0.6.1-3) unstable; urgency=low

  * Rebuild against new libgsf-1-114 (Ubuntu patch)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 28 Jul 2006 09:16:07 +0200

pxlib (0.6.1-2) unstable; urgency=low

  * Do not include .la file in pxlib-dev (Closes: #374754)
  * make pxlib-dev depend on libgsf-1-dev

 -- Uwe Steinmann <steinm@debian.org>  Wed, 21 Jun 2006 11:57:45 +0200

pxlib (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 15 Feb 2006 12:26:20 +0100

pxlib (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Mon, 06 Feb 2006 12:26:20 +0100

pxlib (0.5.1-2) unstable; urgency=low

  * Rebuild due to library versioning change of libgsf-1 (Closes: #338711)

 -- Uwe Steinmann <steinm@debian.org>  Mon, 14 Nov 2005 07:27:16 +0100

pxlib (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Thu, 11 Aug 2005 08:49:44 +0200

pxlib (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * created POT file for translator (Closes: #313531)
  * fixed bug in de.po (Closes: #313932)

 -- Uwe Steinmann <steinm@debian.org>  Thu, 14 Jul 2005 10:09:23 +0200

pxlib (0.4.4-2) unstable; urgency=low

  * Fixed wrong build dependency.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 25 May 2005 09:39:40 +0100

pxlib (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 25 May 2005 07:18:00 +0100

pxlib (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * pushed shlibs version 0.4.3

 -- Uwe Steinmann <steinm@debian.org>  Thu, 30 Dec 2004 13:47:43 +0100

pxlib (0.4.2-2) unstable; urgency=low

  * Fixed download url in debian/copyright (Closes: #285175)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 14 Dec 2004 12:14:54 +0100

pxlib (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Added libgsf-1-dev to BuildDepend (Closes: #283067)
  * Removed debian/shlibs.pxlib1

 -- Uwe Steinmann <steinm@debian.org>  Fri, 12 Nov 2004 12:20:04 +0100

pxlib (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * pushed policy version to 3.6.1
  * better package description
  * fixed lintian reported errors

 -- Uwe Steinmann <steinm@debian.org>  Mon, 08 Nov 2004 14:37:58 +0100

pxlib (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Tue, 02 Nov 2004 15:17:52 +0100

pxlib (0.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Mon, 13 Sep 2004 16:48:16 +0200

pxlib (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Tue, 20 Jul 2004 18:52:41 +0200

pxlib (0.2.11-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Fri, 16 Jul 2004 08:11:21 +0200

pxlib (0.2.10-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Thu, 15 Jul 2004 10:32:23 +0200

pxlib (0.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Thu, 27 May 2004 14:14:12 +0200

pxlib (0.2.8-1) unstable; urgency=low

  * New upstream release.
  * Changed maintainer email address.

 -- Uwe Steinmann <steinm@debian.org>  Mon, 08 Mar 2004 08:11:23 +0200

pxlib (0.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <uwe@steinmann.cx>  Thu, 22 Jan 2004 08:11:23 +0200

pxlib (0.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <uwe@steinmann.cx>  Thu, 15 Jan 2004 08:23:58 +0200

pxlib (0.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <uwe@steinmann.cx>  Thu, 18 Dec 2003 18:48:10 +0200

pxlib (0.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <uwe@steinmann.cx>  Tue, 09 Dec 2003 14:19:59 +0200

pxlib (0.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <uwe@steinmann.cx>  Fri, 05 Dec 2003 16:59:59 +0200

pxlib (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * added german translation

 -- Uwe Steinmann <uwe@steinmann.cx>  Mon, 17 Nov 2003 06:29:57 +0200

pxlib (0.2.1-1) unstable; urgency=low

  * New upstream release.


