=== debian/watch ===
version=2
http://sf.net/pxlib/pxlib-([0-9.]+)\.tar\.gz
