=== debian/changelog ===
pxlib (0.6.9-1) unstable; urgency=low

  * New upstream release (Closes: #1075405)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 26 Jul 2024 15:52:06 +0200
