=== debian/control ===
Source: pxlib
Priority: optional
Section: libs
Maintainer: Uwe Steinmann <steinm@debian.org>
Build-Depends: debhelper (>= 11), quilt, intltool (>= 0.30), docbook-utils, docbook-to-man, libgsf-1-dev (>= 1.13.2)
Standards-Version: 4.4.0
Homepage: http://pxlib.sourceforge.net/

Package: pxlib-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, pxlib1 (= ${binary:Version}), libgsf-1-dev (>= 1.13.2)
Description: library to read/write Paradox database files (development files)
 Library to read and write Paradox DB files. All versions
 of Paradox are supported. Binary large objects can only be
 read. Primary index files can be read and written. This
 package contains the development files.

Package: pxlib1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to read/write Paradox database files
 Library to read and write Paradox DB files. All versions
 of Paradox are supported. Binary large objects can only be
 read. Primary index files can be read and written.
